package com.manalejandro.arjion.services;

import java.util.ArrayList;
import java.util.List;

import com.manalejandro.arjion.model.Documento;
import com.manalejandro.arjion.repositories.MainRepository;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class MainServiceImpl implements MainService {

    private final MainRepository mainRepository;

    @Autowired
    public MainServiceImpl(MainRepository mainRepository) {
        this.mainRepository = mainRepository;
    }

    @Override
    public boolean save(Documento doc) {
        if (!mainRepository.existsById(doc.nombre)) {
            if (mainRepository.save(doc) != null)
                return true;
            else
                return false;
        } else
            return false;
    }

    @Override
    public long count() {
        return mainRepository.count();
    }

    @Override
    public List<Documento> findAllDocumento() {
        List<Documento> docs = new ArrayList<Documento>();
        mainRepository.findAll().forEach(doc -> {
            docs.add((Documento) doc);
        });
        return docs;
    }

    @Override
    public Documento findOne(String nombre) {
        return mainRepository.findById(nombre).get();
    }
}
